%define major	0
%define libname	%mklibname %{name}-qt5_ %{major}
%define devname	%mklibname %{name}-qt5 -d

Name:		qtspell
Version:	0.9.0
Release:	%mkrel 2
Summary:	Spell checking for Qt text widgets
Group:		System/Libraries
License:	GPLv3+
URL:		https://github.com/manisandro/qtspell
Source0:	https://github.com/manisandro/qtspell/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(enchant-2)

%description
QtSpell adds spell-checking functionality to Qt's text widgets, using the
enchant spell-checking library.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Spell checking for Qt5 text widgets
Group:		System/Libraries
Requires:	%{name}-qt5-translations >= %{version}-%{release}

%description -n	%{libname}
QtSpell adds spell-checking functionality to Qt5's text widgets, using the
enchant spell-checking library.

%files -n %{libname}
%license COPYING
%{_libdir}/libqtspell-qt5.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}-qt5
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-qt5-devel = %{version}-%{release}

%description -n	%{devname}
The %{name}-qt5-devel package contains libraries and header files for
developing applications that use %{name}-qt5.

%files -n %{devname}
%{_includedir}/QtSpell-qt5/
%{_libdir}/libqtspell-qt5.so
%{_libdir}/pkgconfig/QtSpell-qt5.pc

#----------------------------------------------------------------------------

%package	qt5-translations
Summary:	Translations for %{name}-qt5
Group:		System/Internationalization
BuildArch:	noarch
Requires:	qttranslations5

%description	qt5-translations
The %{name}-qt5-translations contains translations for %{name}-qt5.

%files qt5-translations
%{_qt5_translationdir}/QtSpell_*.qm

#----------------------------------------------------------------------------

%package	doc
Summary:	Developer documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description	doc
The %{name}-doc package contains the documentation for developing applications
that use %{name}.

%files doc
%license COPYING
%doc build/doc/html

#----------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake
%cmake_build

%__make doc -C build

%install
%cmake_install


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.9.0-2.mga8
+ Revision: 1659708
- Rebuild for new Qt5

* Fri May 08 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1581714
- initial package qtspell

